Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.plugin
Class TemplateDefinitionNotification

    java.lang.Object
      |
      +--com.bea.wlpi.server.plugin.PluginNotification
            |
            +--com.bea.wlpi.server.plugin.TemplateDefinitionNotification

public final class TemplateDefinitionNotification
extends PluginNotification

Notification object that describes a change to a template definition.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Plugin.templateDefinitionChanged(com.bea.wlpi.server.plugin.TemplateDefinitionNotification)`, Serialized Form

Fields inherited from class com.bea.wlpi.server.plugin.PluginNotification
`eventType, source`

Method Summary
`TemplateDefinitionInfo` | `getTemplateDefinition()` Return information about the affected template definition.
`java.lang.String` | `toString()` Return a string representation of the notification.

Methods inherited from class com.bea.wlpi.server.plugin.PluginNotification
`getEventType, getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTemplateDefinition

    public TemplateDefinitionInfo getTemplateDefinition()

  Return information about the affected template definition.

  Returns:
    Template definition information.

### toString

    public java.lang.String toString()

  Return a string representation of the notification.

  Returns:
    String representation.
  Overrides:
    toString in class java.lang.Object
  Since:
    WebLogic Integration version 2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)